% ASCII.PRO: Standard theory about ASCII numbers.
% Author: Frans Meijs, 1991


asciiNumeralList__withSpacesReplacedByUpcaseIs_asciiNumeralList([],[]) :-
   !.                      % Solution is sufficient.
asciiNumeralList__withSpacesReplacedByUpcaseIs_asciiNumeralList(
                                                      [H| L1], [H| L2]) :-
   H \== 32,                              % Code for a space.
   asciiNumeralList__withSpacesReplacedByUpcaseIs_asciiNumeralList(L1,L2),
   !.                      % Solution is sufficient.
asciiNumeralList__withSpacesReplacedByUpcaseIs_asciiNumeralList([H| L1],L2) :-
   H == 32,                               % Code for a space.
   asciiNumeralList__withSpacesReplacedByUpcaseIs_asciiNumeralList(L1,L3),
   asciiNumeralList__withHeadUpcasedIs_asciiNumeralList(L3,L2).


asciiNumeralList__withHeadUpcasedIs_asciiNumeralList([H1| T],[H2| T]) :-
   asciiNumber__isUpcaseOf_asciiNumber(H2,H1).


asciiNumber__isUpcaseOf_asciiNumber(A1,A2) :-
   asciiNumber(A1),                           % A1 must be instantiated.
   A1 > 64,                              % Code for "A"
   A1 < 91,                              % Code for "Z"
   A2 is A1 + 32,
   !.                      % Solution is sufficient.
asciiNumber__isUpcaseOf_asciiNumber(A1,A2) :-
   asciiNumber(A2),                           % A2 must be instantiated.
   A2 > 97,                              % Code for "a"
   A2 < 122,                             % Code for "z"
   A1 is A2 - 32,
   !.                      % Solution is sufficient.
asciiNumber__isUpcaseOf_asciiNumber(A,A) :-
   asciiNumber(A).


