% OUTLIST.PRO: Standard theory about output lists.



o_list([]).
o_list([H|L]) :-
   o_chars(H),
   o_eor,
   o_list(L).
      % List output, each member on a new line.


o_spacedList(_,[]).
o_spacedList(NumberOfSpaceChars, [H|L]) :-
   o_spaces(NumberOfSpaceChars),
   o_chars(H),
   o_spacedList(NumberOfSpaceChars, L).
      % List output, each member preceded by spaces.



