% PROCESSO.PRO: Standard processor.
% This file has to be consulted by Prolog programs.

% The application-specific part has to specify:
%     s_term(I)
%     term__implies_term(I, O)
%     o_term(O)

% The processor can be invoked by: "process?", and terminated by
% replying with "!" on a prompt for input.

process :- s_term(I), process__v2(I).

process__v2('!') :- !.
process__v2(I) :-
   term__implies_term(I, O),
   o_term(O),
   process.


% Standard inquiry theory, to be referenced by s_term/1
inquiry(Prompt, Answer) :-
   prompt(Old, Prompt),
   ratom(Answer),
   prompt(_, Old).
