% directiv.pro: Interpreter parameter setting directives.
% SWIprolog/XSB version
% Author: Frans A. Meijs, 1994..2010

:- multifile
    abstractPerson__e_accountAddition/2,
    abstractPerson__e_accountSubtraction/2,
    accountAddition__e_account/2,
    accountingCategory__e_accountAddition/2,
    accountingCategory__e_accountSubtraction/2,
    accountSubtraction__e_account/2,
    assembly/1,
    assemblyItem/3,
    assignmentClass/1,
    assignmentClass__mapsFrom_sv/2,
    assignmentClass__mapsTo_sv/2,
    association/1,
    attrDiNet/1,
    audioDoc/1,
    audioDoc__represents_style/2,
    autonomousSev/1,
    beginAddress__e_docVolMembership/2,
    behaviouralUnit/1,
    bFsm/1,
    booleanState__i_booleanSv/2,
    bsaldo/2,
    building/1,
    carrierFrequency__e_radioStation/2,
    cityName__e_geographicalLocation/2,
    class/1,
    class__isAssociatedWith_set/2,
    class__isExplicitlySubclassOf_class/2,
    class__isExplicitlyAssociatedWith_class/2,
    concept/1,
    concept__e_qoSet/2,
    concept__e_set/2,
    concept__isAssociatedWith_concept/2,
    concept__isAssociatedWith_set/2,
    concept__isExplicitlyAssociatedWith_concept/2,
    concept__isExplicitlyElementOf_set/2,
    connection/1,
    connection__connectsFrom_node/2,
    connection__connectsTo_node/2,
    connection__e_network/2,
    contradiction/1,
    cost__isAttributeOf_connection/2,
    countryCode__e_geographicalLocation/2,
    dataVariable/1,
    dataVariable__e_msgv/2,
    date/1,
    determiner/1,
    dEfsm/1,
    dFsm/1,
    dimension__e_tqoSet/2,
    diNet/1,
    document/1,
    document__e_docVolMembership/2,
    document__represents_informalClass/2,
    docVol/1,
    docVol__e_docVolMembership/2,
    docVol__represents_informalClass/2,
    docVolMembership/1,
    dsm/1,
    dsm__calls_sFsm/2,
    dsm__signals_dsm/2,
    dsmi/1,
    duration__e_seqDoc/2,
    duration__e_seqDocVol/2,
    eachInstanceOfClass__isExplicitlyElementOf_set/2,
    eachInstanceOfMc__mapsFromAnInstanceOf_sv/2,
    eachInstanceOfMc__mapsToAnInstanceOf_sv/2,
    eFsm/1,
    elemState__e_entity/2,
    elemState__e_sort/2,
    elemStateMappingClass__mapsFrom_stateVariable/2,
    elemStateMappingClass__mapsTo_stateVariable/2,
    endConnection/1,
    entity/1,
    entity__e_entity/2,
    entity__e_sort/2,
    entityMappingClass__mapsFrom_stateVariable/2,
    entityMappingClass__mapsTo_stateVariable/2,
    familyName__e_person/2,
    fsm/1,
    geographicalLocation/1,
    hierarchy/1,
    informalClass/1,
    informalDescription__e_accountAddition/2,
    informalDescription__e_accountSubtraction/2,
    informalText__e_informalClass/2,
    informalName__e_document/2,
    informalName__e_docVol/2,
    informalName__e_organization/2,
    initials__e_person/2,
    interface/1,
    inventoryItem/3,
    mapping/1,
    mapping__e_bu/2,
    mapping__e_process/2,
    mapping__mapsFrom_state/2,
    mapping__mapsTo_state/2,
    mappingClass/1,
    mappingClass__e_bu/2,
    materialBody/1,
    materialBody__isPrivateElementOf_assembly/2,
    matrixCell__represents_concept/2,
    maxCompletionTime__e_po/2,
    mJD__e_accountAddition/2,
    mJD__e_accountSubtraction/2,
    ms__calls_sFsm/2,
    ms__enables_dsm/2,
    ms__enables_su/2,
    msgv/1,
    msgv__isExplicitlyPrivateElementOf_su/2,
    msgv__isInputElementOf_su/2,
    msgv__isOutputElementOf_su/2,
    network/1,  
    numericMc__mapsFrom_numericSv/2,
    ordinalNumber__e_tqoSetElement/2,
    organization/1,
    organization__residesAt_geographicalLocation/2,
    person/1,
    person__e_organization/2,
    person__isAuthorOf_document/2,
    person__isAuthorOf_docVol/2,
    person__livesAt_geographicalLocation/2,
    postalCode__e_geographicalLocation/2,
    process/1,
    processPriority__e_su/2,
    psvs/1,
    psvs__isExplicitlyPrivateElementOf_su/2,
    psvs__isShareableElementOf_su/2,
    room/1,
    room__e_building/2,
    saldo__e_account/2,
    set/1,
    set__intersects_set/2,
    set__isAssociatedWith_set/2,
    set__isExplicitlyElementOf_set/2,
    sev__e_msgv/2,
    seqDoc/1,
    seqDocSignificantGapDuration/1,
    seqDocVol/1,
    seqDocVolRelTime__eq_address/2,
    sFsm/1,
    signallingEventVariable/1,
    sort/1,
    sort__intersects_sort/2,
    sort__isExplicitlyElementOf_sort/2,
    specialism__e_person/2,
    ssms__enables_su/2,
    state/1,
    state__e_entity/2,
    state__i_stateVariable/2,
    state__isExplicitlyAssociatedWith_class/2,
    state__isExplicitlyInstanceOf_stateVariable/2,
    stateVariable/1,
    stateVariable__e_bu/2,
    stateVariable__e_vectorVariableElement/2,
    stateVariable__isExplicitlyAssociatedWith_sort/2,
    stateVariable__isExplicitlyInputElementOf_su/2,
    stateVariable__isExplicitlyPrivateElementOf_su/2,
    stateVariable__isExplicitlyShareableElementOf_su/2,
    stateVariable__isPrivateElementOf_bu/2,
    stateVector__e_bu/2,
    stateVectorVariable__e_bu/2,
    streetName__e_geographicalLocation/2,
    structuralUnit/1,
    structuralUnit__isExplicitlyPrivateElementOf_su/2,
    structuralUnit__isOutputElementOf_su/2,
    structuralUnit__isExplicitlyShareableElementOf_su/2,
    structuralUnit__isShareableElementOf_su/2,
    symbol/1,
    symbol__represents_association/2,
    symbol__represents_concept/2,
    tc__disables_dsm/2,
    tc__e_dsm/2,
    tc__e_fsm/2,
    tc__enables_dsm/2,
    tc__isExplicitlyElementOf_fsm/2,
    tc__mapsExplicitlyFrom_enablingMsgv/2,
    tc__mapsExplicitlyFrom_ms/2,
    tc__mapsExplicitlyFrom_msgv/2,
    tc__mapsExplicitlyTo_ms/2,
    tc__mapsFrom_ms/2,
    tc__mapsFrom_msgv/2,
    tc__mapsFrom_msv/2,
    tc__mapsFrom_sev/2,
    tc__mapsFrom_ssms/2,
    tc__mapsTo_ms/2,
    tc__mapsTo_msgv/2,
    tc__mapsTo_msv/2,
    tc__mapsTo_ssms/2,
    tod/1,
    transitionClass/1,
    telecomAddress__e_geographicalLocation/2,
    telecomAddress__e_organization/2,
    tqoSet/1,
    value__e_accountAddition/2,
    value__e_accountSubtraction/2,
    vectorVariable/1,
    vectorVariableElement/1,
    vectorVariableElement__e_vectorVariable/2
    .

% Note:
% X__...Explicitly..._Y/2 should be included.
% Only if it is not defined, X__..._Y/2 may be included.
