% GENEROUT.PRO: Standard theory about generalization output trees.

% A generalization output tree can be instantiated by a query of
% the form:

%               generalization_output_tree(C).


% where C is the identification of the root class c.f. theory CLASS.PRO.

% This theory needs consultation of theory OUTTREE.PRO.



%----------------------------------------------------------------------
generalization_output_tree(C) :-
   output_chars('Sub-classes:'), eor,
   eor,
   output_tree(C).

output_vertex__is_subordinate_to_output_vertex(C1, C2) :-
   class__is_subclass_of_class(C1, C2).

output_leaf(C, Path_length) :-
   INDENT is Path_length * 3,
   spaces(INDENT), output_chars(C), eor.
