% REDEF_TP.PRG: Prolog PRP file redefinition program.
% (template, to build other from)
% Author: Frans Meijs, 1 oct 2000.

toFile('$TMP/geoloc2.wrk').     % PUT HERE THE OBJECT FILE PATH.

redef :-
    toFile(TF),
    tell(TF),
    fileRedef.                       % Fails always.
redef :-
    told,
    o_chars('Rapport is in bestand '),
    toFile(TF),
    o_chars(TF).


fileRedef :-
    repeat,                          % Avoids the need for building a trace list.
    (factRedef; !),
    fail.                            % Forcing of search of next proposition.
   
factRedef :-
      % PUT YOUR REDEFINITION BELOW.
   organization(OR),
   organization__residesAt_geographicalLocation(OR,GL),
   telecomAddress__e_geographicalLocation(TA,GL),
   o_dyadicPrologProposition('telecomAddress__e_organization',TA,OR).


% CONSULT HERE THE SUPPORTING THEORIES.
:- consult('$IPLDB/dbman.pro').

% CONSULT HERE THE PRP FILE(S).
:- consult('a3.prp').


:- consult('$PROLOG_FM/outprolo.pro').
?- redef.                        % Should be last because it is immediate.
