@echo off
rem IPLM'VER_1.BAT: IPL model verifying command batch, class level,
rem SWIprolog version.
rem Author: Frans A. Meijs, 1998.

rem Imported from environment: COMMAND_FM, PROLOG_DIALECT, PROLOG_FM, PERL_FM

if "%1" == "" goto errexit1

copy %1 iplm_ver_1.wrk
%SWIPL%\bin\swipl.exe -f %PROLOG_FM%\applications\iplm_ver_1.prg %2 %3
del iplm_ver_1.wrk
call perlf.bat %PERL_FM%\applications\iplm_ver_1.prl iplm_ver_1.log iplm_vct.wrk
rem         Put clauses together, remove duplicate facts, if any.
sort iplm_vct.wrk > iplm_vct.wr2 
del iplm_vct.wrk
call perlf.bat %PERL_FM%\applications\f_undup.prl iplm_vct.wr2 iplm_vct.pro
del iplm_vct.wr2
echo Diagnostics are in in file iplm_ver_1.log
echo Class tree is in file iplm_vct.pro
goto regulexit

:errexit1
   echo "Command syntax: iplm'ver <file name>.<file name extension>"

:regulexit
