% PROL_FM2.PRO: Predicates which make Prolog programs less dependent
% on the type of operating system.
% MS Vista/SWIprolog 6.4.1 version.
% Author: Frans A. Meijs, mar 2008.

consoleTell :-
   tell(user_output). 
   
getfullpath(Root_env_param, Relative_file_path, Full_path) :-
   getenv(Root_env_param, X),
   atom_concat(X, Relative_file_path, Full_path).
       
userhome(X) :-
   atom_concat('C:/Users/',X,Y),
   atom_concat(Y,'/Documents',Z),
   cd(Z),
   ls.

