@echo off
rem PROLF'VE.BAT: Prolog file verifying command batch,
rem SWIprolog version.
rem Author: Frans A. Meijs, 7 dec 1998.

rem Imported from environment: SWIPL, COMMAND_FM, PROLOG_FM, PROLOG_DIALECT

if "%1" == "" goto errexit1

copy %1 prolf_ve.wrk
%SWIPL%\bin\swipl.exe -f %PROLOG_FM%\%PROLOG_DIALECT%\prolf_ve.prg
echo Diagnostics are in file prolf_ve.log
del prolf_ve.wrk
call perlf.bat %PROLOG_FM%\iplm_ver.prl prolf_ve.log prolf_vc.wrk
rem         Put clauses together, remove duplicate facts, if any.
sort prolf_vc.wrk > prolf_vc.wr2 
del prolf_vc.wrk
call perlf.bat %COMMAND_FM%\f_undup.prl prolf_vc.wr2 prolf_vc.pro
del prolf_vc.wr2
echo Class tree is in file prolf_vc.pro
goto regulexit

:errexit1
   echo "Command syntax: prolf've <file name with extension>"

:regulexit
