% COMPOUT.PRO: Standard theory about composition output trees.

% A composition output tree can be instantiated by a query of
% the form:

%               composition_output_tree(C).


% where C is the identification of the root class c.f. theory 
% ENTITY.PRO.


%----------------------------------------------------------------------
composition_output_tree(C) :-
   output_chars('Components:'), eor,
   eor,
   output_tree(C).

output_vertex__is_subordinate_to_output_vertex(C1, C2) :-
   state__e_entity(C1, C2).

output_leaf(C, Path_length) :-
   INDENT is Path_length * 3,
   spaces(INDENT), output_chars(C), eor.


% :- consult('outtree.pro').

