% CPUTIME.PRO: Standard theories about CPU time.


passed_deadlineCputime :-
   deadlineCputime(DT),
   cputime_gt_time(DT).

cputime_gt_time(Secs) :-
   prologCputime(T),
   int__le_int(Secs, T).

deadlineCputime(600000).                     % Defaulted to 10 minutes.


