% DECOMOUT.PRO: Standard theory about decomposition output trees.

% A decomposition output tree can be instantiated by a query of the 
% form:

%                  decomposition_output_tree(C).


% where C is the identification of the root set c.f. theory SET.PRO.

% This theory needs consultation of theory OUTTREE.PRO.



%----------------------------------------------------------------------
decomposition_output_tree(S) :-
   output_chars('Decomposition:'), eor,
   eor,
   output_tree(S, 3).

output_vertex__is_subordinate_to_output_vertex(S1, S2) :-
   set__e_set(S1, S2).

