% INRECORD.PRO: Standard theories about input records.


inputRecord(S) :-
   i_char(C),
   inputChar__heads_recordCharList(C, CL),
   chars__eq_charList__v2(S, CL).

inputChar__heads_recordCharList(C, []) :-
   endOfRecordSymbol(C),
   !.                                       % Solution is sufficient.
inputChar__heads_recordCharList(C, [C]) :-
   endOfFileSymbol(C),
   !.                                       % Solution is sufficient.
inputChar__heads_recordCharList(C, [C| CL]) :-
   i_char(C2),
   inputChar__heads_recordCharList(C2, CL).

chars__eq_charList__v2(' ', []).
chars__eq_charList__v2(S, CL) :-
   chars__eq_charList(S, CL).



