% INSENTEN.PRO - Standard theory about input sentences.
% Author: Frans A.Ch. Meijs, 1993.

inputSentence(IS) :-          % Being phased out.
   i_sentence(IS).

i_sentence(IS) :-
   i_char(IC),
   i_symb__heads_word__dtBySymb(IC,W,D),
   i_symb__heads_wordList__dtBySymb(W,IS,D),
   !.                                    % Solution is sufficient.   
i_sentence([]).


i_symb__heads_wordList__dtBySymb(S,[],S) :-
   endOfRecordSymbol(S),
   !.                                    % Solution is sufficient.
i_symb__heads_wordList__dtBySymb(S,[],S) :-
   endOfFileSymbol(S),
   !.                                    % Solution is sufficient.
i_symb__heads_wordList__dtBySymb(W,[W],';') :-
   !.                                    % Solution is sufficient.
                                         % Semicolon is sentence delimiter.
i_symb__heads_wordList__dtBySymb(W,[W|WL],_) :-
   i_char(S),
   i_symb__heads_word__dtBySymb(S,W2,D),
   i_symb__heads_wordList__dtBySymb(W2,WL,D).

